Package org.apache.sysds.runtime.frame.data.columns

# Class Array.ArrayIterator

java.lang.Object
org.apache.sysds.runtime.frame.data.columns.Array.ArrayIterator

All Implemented Interfaces:
  `Iterator<T>`

Enclosing class:
  Array<T>

public class Array.ArrayIterator extends Object implements Iterator<T>

## Constructor Summary

Constructors
Constructor
Description
`ArrayIterator()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getIndex()`
`boolean`
`hasNext()`
`T`
`next()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, remove`

## Constructor Details

### ArrayIterator

public ArrayIterator()

## Method Details

### getIndex

public int getIndex()

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<T>`

### next

public T next()

Specified by:
  `next` in interface `Iterator<T>`